Name:    termy-qt
Summary: TermySequence terminal multiplexer client
Version: 1.1.4
Release: 5%{?dist}

# This is a limitation of the bundled v8 library
ExclusiveArch: %{ix86} x86_64

# Main source distribution is GPLv2
# vendor/termy-icon-theme is LGPLv3
# vendor/termy-emoji is CC-BY
# vendor/v8-linux is BSD
License: GPLv2 and LGPLv3 and CC-BY and BSD
URL:     https://termysequence.io
Source:  https://termysequence.io/releases/termysequence-qt-%{version}.tar.xz

# Patches here (do not remove this comment)
Patch1: set-clipboard-selection.patch
Patch2: fix-gcc-9-warnings-and-errors.patch
Patch3: qt-use-case-insensitive-hostname-comparison.patch

BuildRequires: cmake >= 3.9.0
BuildRequires: desktop-file-utils
BuildRequires: fuse3-devel
BuildRequires: gcc-c++
BuildRequires: libappstream-glib
BuildRequires: libatomic
BuildRequires: libicu-devel >= 60.2
BuildRequires: libstdc++-static
BuildRequires: libuuid-devel
BuildRequires: ninja-build >= 1.8.2
BuildRequires: python2-jinja2 >= 2.10
BuildRequires: qt5-qtbase-devel qt5-qtsvg-devel qt5-linguist
BuildRequires: sqlite-devel
BuildRequires: systemd-devel >= 235
BuildRequires: utf8cpp-devel >= 2.3.4
BuildRequires: zlib-devel
BuildRequires: /usr/bin/python

Requires: termy-server
Requires: fuse3
Requires: /usr/bin/notify-send

Provides: bundled(v8) = 6.9.427.27

%description
A Qt-based multiplexing terminal emulator client
implementing the TermySequence protocol.

%prep
%autosetup -p1 -n termysequence-%{version}
# Avoid the bundled copy of UTF8-CPP
rm -rf vendor/utf8cpp

%build
%ifarch x86_64
%global v8arch x64
%endif
%ifarch %{ix86}
%global v8arch x86
%endif

%cmake -DCMAKE_BUILD_TYPE=Release -DV8_ARCH=%{v8arch} .
# Disable output sync so that V8 sub-make output is not buffered
%define _make_output_sync %{nil}
%make_build
%define _make_output_sync -O

%install
%make_install install_emoji install_icons

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/qtermy.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/qtermy.appdata.xml

%files
%license COPYING.txt
%license vendor/termy-icon-theme/COPYING
%license vendor/termy-icon-theme/COPYING.Adwaita
%license vendor/termy-icon-theme/COPYING.Oxygen
%license vendor/termy-emoji/LICENSE-GRAPHICS
%license vendor/v8-linux/v8/LICENSE.v8
%{_bindir}/qtermy
%{_bindir}/qtermy-pipe
%{_datadir}/qtermy
%{_datadir}/applications/qtermy.desktop
%{_metainfodir}/qtermy.appdata.xml
%{_datadir}/pixmaps/qtermy.svg
%{_mandir}/man1/qtermy*.1*

%changelog
* Tue Mar 26 2019 Eamon Walsh <ewalsh@termysequence.com> - 1.1.4-5
- qt: Use case-insensitive hostname comparison

* Sat Feb 16 2019 Eamon Walsh <ewalsh@termysequence.com> - 1.1.4-4
- Fix GCC 9 warnings and errors

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 26 2019 Eamon Walsh <ewalsh@termysequence.com> - 1.1.4-2
- qt: Set clipboard selection text following all selection edits

* Mon Oct 08 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.1.4-1
- Update to 1.1.4

* Thu Sep 27 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.1.3-1
- Update to 1.1.3
- Remove unnecessary globs (#1583798)
- Disable make output sync for V8 build

* Fri Sep 21 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.1.1-1
- Update to 1.1.1
- Set CMAKE_BUILD_TYPE back to Release (#1583798)
- Provide bundled(v8)

* Thu Aug 09 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.1.0-1
- Update to 1.1.0

* Tue Jun 05 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.0.3-1
- Update to 1.0.3
- Set CMAKE_BUILD_TYPE to None

* Sat Jun 02 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.0.2-2
- Set CMAKE_BUILD_TYPE to Release

* Mon May 28 2018 Eamon Walsh <ewalsh@termysequence.com> - 1.0.2-1
- Initial package for Fedora
